local t = Def.ActorFrame {}
--eso...
GAMESTATE:SaveLocalData()

local LightCmds = {
	cmd(x,30;y,SCREEN_CENTER_Y-40;diffuse,1,1,1,0;sleep,0.2;diffuse,1,1,1,1;linear,0.8;x,SCREEN_RIGHT;y,SCREEN_TOP;rotationz,130;sleep,0;diffuse,1,1,1,0),
	cmd(x,30;y,SCREEN_CENTER_Y+60;diffuse,1,1,1,0;sleep,0.6;diffuse,1,1,1,1;linear,0.8;x,SCREEN_RIGHT;y,SCREEN_BOTTOM;rotationz,130;sleep,0;diffuse,1,1,1,0),
	cmd(x,30;y,SCREEN_CENTER_Y-40;diffuse,1,1,1,0;sleep,2.3;diffuse,1,1,1,1;linear,0.8;x,SCREEN_RIGHT;y,SCREEN_TOP;rotationz,90;sleep,0;diffuse,1,1,1,0),
	cmd(x,30;y,SCREEN_CENTER_Y+60;diffuse,1,1,1,0;sleep,2.0;diffuse,1,1,1,1;linear,0.8;x,SCREEN_RIGHT;y,SCREEN_BOTTOM;rotationz,90;sleep,0;diffuse,1,1,1,0)
}

t[#t+1] = LoadActor("SPK01")..{
	Frames = Sprite.LinearFrames(12,0.48);
	InitCommand=cmd(stretchto,0,0,SCREEN_WIDTH,SCREEN_HEIGHT);
	OnCommand=cmd(diffuse,color("#22C222");linear,1.3;diffuse,color("#00C0C0");linear,1.3;diffuse,color("#FF00A7");linear,1.3;diffuse,color("#80FF80");linear,1.3;diffuse,color("#FFFFFF"));
}

t[#t+1] = LoadActor("SCAN")..{
	InitCommand=cmd(blend,'BlendMode_Add';diffuse,1,1,1,0.2;stretchto,0,10,SCREEN_WIDTH,SCREEN_BOTTOM-10);
}

for i=1,4 do
	t[#t+1] = LoadActor("LIGHT")..{
		InitCommand=cmd(blend,'BlendMode_Add');
		OnCommand=LightCmds[i];
	}
end

t[#t+1] = Def.Quad {
	InitCommand=cmd(diffuse,1,1,1,0;stretchto,0,0,SCREEN_WIDTH,SCREEN_HEIGHT);
	OnCommand=cmd(sleep,0.4;diffusealpha,1;sleep,0.05;diffusealpha,0;sleep,0.35;diffusealpha,1;sleep,0.05;diffusealpha,0;sleep,0.15;diffusealpha,1;sleep,0.05;diffusealpha,0;sleep,0.65;diffusealpha,1;sleep,0.05;diffusealpha,0;sleep,0.55;diffusealpha,1;sleep,0.05;diffusealpha,0;sleep,0.35;diffusealpha,1;sleep,0.05;diffusealpha,0;sleep,0.35;diffusealpha,1;sleep,0.05;diffusealpha,0);
}

for i=0,1 do
	t[#t+1] = Def.Quad {
		InitCommand=function(self)
			(cmd(diffuse,0,0,0,1;x,SCREEN_CENTER_X;zoomto,SCREEN_WIDTH,76))(self);
			self:vertalign(i == 0 and top or bottom);
			self:y(SCREEN_BOTTOM*i); --multiplicado por 0 te da 0 ¿verdad? :P
		end;
	}
end

--tiles GAME OVER | GAME OVER |
--acá se agregan 2x2x6=26 layers n_nb (una de más para los que usen SM en widescreen :D)
--(no quiero usar texcordvelocity)
for z=0,1 do
	for s=0,1 do
		for i=0,5 do
			t[#t+1] = LoadActor("TEXT")..{
				InitCommand=cmd(playcommand,"Loop");
				LoopCommand=function(self)
					local width = self:GetWidth()
					self:x(i*width);
					--Guat?
					self:y(z == 0 and (s == 0 and SCREEN_BOTTOM-53 or SCREEN_BOTTOM-68) or (s == 0 and 55 or 67));
					self:linear(s == 0 and 3.5 or 2.5);
					self:x((i-1)*width);
					self:queuecommand("Loop");
				end;
			}
		end
	end
end

t[#t+1] = Def.Quad {
	InitCommand=cmd(diffuse,1,1,1,0;stretchto,0,0,SCREEN_WIDTH,SCREEN_HEIGHT);
	OnCommand=cmd(sleep,3.8;accelerate,0.5;diffuse,1,1,1,1);
}

t[#t+1] = LoadActor("GM")..{
	InitCommand=cmd(x,SCREEN_LEFT-85;y,SCREEN_CENTER_Y-8);
	OnCommand=cmd(sleep,0.2;linear,0.4;x,SCREEN_CENTER_X-46;linear,0.5;x,SCREEN_CENTER_X;sleep,3;linear,0.2;zoom,2.4;diffusealpha,0);
}

return t

--LoadActor("")..{}

--SCREEN_HEIGHT*0.96